#include <stdbool.h>
#include "simpletools.h"

#include "x_axis_driver.h"
#include "y_axis_driver.h"
#include "z_axis_driver.h"
#include "e_axis_driver.h"

volatile bool app_move_now;

volatile uint8_t app_x_dir;
volatile uint32_t app_x_running_steps;

volatile uint8_t app_y_dir;
volatile uint32_t app_y_running_steps;

volatile uint8_t app_z_dir;
volatile uint32_t app_z_running_steps;

volatile uint8_t app_e_dir;
volatile uint32_t app_e_running_steps;

int main(void)
{

	x_axis_init();
	y_axis_init();
	z_axis_init();
	e_axis_init();

	app_move_now = false;

	app_x_dir = 0;
	app_x_running_steps = 2000;

	app_y_dir = 1;
	app_y_running_steps = 2000;

	app_z_dir = 1;
	app_z_running_steps = 2000;

	app_e_dir = 1;
	app_e_running_steps = 2000;

	// Rotate motors 2000 steps
	app_move_now = true;

	while(x_move_complete == false && y_move_complete == false && 
		z_move_complete == false && e_move_complete == false){}

	x_move_complete = false;
	y_move_complete = false;
	z_move_complete = false;
	e_move_complete = false;

	// Rotate motors 2000 steps in the opposite
	app_x_dir = 1;
	app_x_running_steps = 2000;

	app_y_dir = 0;
	app_y_running_steps = 2000;

	app_z_dir = 0;
	app_z_running_steps = 2000;

	app_e_dir = 0;
	app_e_running_steps = 2000;

	// Begin the moves
	app_move_now = true;

	while(x_move_complete == false && y_move_complete == false && 
		z_move_complete == false && e_move_complete == false){}

	x_axis_stop();
	y_axis_stop();
	z_axis_stop();
	e_axis_stop();

	return 0;
}